Bug 596699 - Kernel crush during MPI software executing on AMD Phenom 9850
Kernel crush during MPI software executing on AMD Phenom 9850
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 06:35 EDT by claimpostofficebox
Modified: 2010-12-03 09:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description claimpostofficebox 2010-05-27 06:35:32 EDT
Description of problem:
A problem appears during MPI software running with OpenMPI 1.4 on 4 threads (AMD phenom CPU). After short time of normal functioning it causes a kernel error. This bug can be reproduced on kernel above 2.6.31.5-127, but not 2.6.31.5-127 itself!

Version-Release number of selected component (if applicable):
Linux * 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64 x86_64 GNU/Linux
OpenMPI v1.4
Amber 10 suite for biomolecular modelling (ambermd.org)
CPU: AMD Phenom 9850

How reproducible:
mpirun -np 4 sander.MPI ..... additional settings which do not affect on bug reproducibility

  
Actual results:
Message from syslogd@fc12 at May 27 13:30:27 ...
 kernel:------------[ cut here]------------

Message from syslogd@fc12 at May 27 13:30:27 ...
 kernel:invalid opcode: 0000 [#1] SMP

Message from syslogd@fc12 at May 27 13:30:27 ...
 kernel:last sysfs file: /sys/devices/system/cpu/cpu3/topology/physical_package_id

Message from syslogd@fc12 at May 27 13:30:27 ...
 kernel:Stack:

Message from syslogd@fc12 at May 27 13:30:27 ...
 kernel:Call Trace

Message from syslogd@fc12 at May 27 13:30:27 ...
long hex message that I can't copy here
Comment 1 Chuck Ebbert 2010-06-16 21:52:11 EDT
Why aren't you running a 2.6.32 F-12 kernel?
Comment 2 claimpostofficebox 2010-06-17 02:17:40 EDT
(In reply to comment #1)
> Why aren't you running a 2.6.32 F-12 kernel?    

This bug appears with kernel ABOVE 2.6.31.5-127, but not with 2.6.31.5-127. 2.6.32-12 behaves in the same way [like kernels above 2.6.31.5-127].
Comment 3 Bug Zapper 2010-11-03 10:02:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:17:57 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.